Bug 1981533 (CVE-2021-33037) - CVE-2021-33037 tomcat: HTTP request smuggling when used with a reverse proxy
Summary: CVE-2021-33037 tomcat: HTTP request smuggling when used with a reverse proxy
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-33037
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1981534
Blocks: 1981546
TreeView+ depends on / blocked
 
Reported: 2021-07-12 18:34 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-04-12 19:06 UTC (History)
82 users (show)

Fixed In Version: tomcat 10.0.7, tomcat 9.0.48, tomcat 8.5.68
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-07 19:11:23 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4861 0 None None None 2021-11-30 14:26:01 UTC
Red Hat Product Errata RHSA-2021:4863 0 None None None 2021-11-30 14:25:46 UTC
Red Hat Product Errata RHSA-2022:1179 0 None None None 2022-04-12 19:06:47 UTC

Description Guilherme de Almeida Suckevicz 2021-07-12 18:34:08 UTC
Apache Tomcat 10.0.0-M1 to 10.0.6, 9.0.0.M1 to 9.0.46 and 8.5.0 to 8.5.66 did not correctly parse the HTTP transfer-encoding request header in some circumstances leading to the possibility to request smuggling when used with a reverse proxy. Specifically: - Tomcat incorrectly ignored the transfer encoding header if the client declared it would only accept an HTTP/1.0 response; - Tomcat honoured the identify encoding; and - Tomcat did not ensure that, if present, the chunked encoding was the final encoding.

Reference:
https://lists.apache.org/thread.html/r612a79269b0d5e5780c62dfd34286a8037232fec0bc6f1a7e60c9381%40%3Cannounce.tomcat.apache.org%3E

Comment 1 Guilherme de Almeida Suckevicz 2021-07-12 18:34:38 UTC
Created tomcat tracking bugs for this issue:

Affects: fedora-all [bug 1981534]

Comment 8 errata-xmlrpc 2021-11-30 14:25:43 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2021:4863 https://access.redhat.com/errata/RHSA-2021:4863

Comment 9 errata-xmlrpc 2021-11-30 14:25:57 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 5.6 on RHEL 7
  Red Hat JBoss Web Server 5.6 on RHEL 8

Via RHSA-2021:4861 https://access.redhat.com/errata/RHSA-2021:4861

Comment 13 Product Security DevOps Team 2022-01-07 19:11:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-33037

Comment 14 errata-xmlrpc 2022-04-12 19:06:42 UTC
This issue has been addressed in the following products:

  Red Hat Support for Spring Boot 2.5.10

Via RHSA-2022:1179 https://access.redhat.com/errata/RHSA-2022:1179


Note You need to log in before you can comment on or make changes to this bug.